package patterns;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;


public class ImportDoc {

	@Before
	public static void before() throws Exception {
		// 
	}

	@Test
	public static void useBrowseButton() throws Exception {
		//Documents ->   -> Import Document -> ,    Browse
		// Browse ->   -> OK
		//,   Documents      xhtml.
	}
	
	@Test
	public static void useCopyPaste() throws Exception {
		//Documents ->   -> Import Document -> ,    Browse
		//  Import file  ()    -> OK
		//,   Documents      xhtml.
	}
	
	@Test
	public static void useCopyPasteWrongFileName() throws Exception {
		//Documents ->   -> Import Document -> ,    Browse
		//  Import file  ()     -> OK
		//,     ,     .
	}
	
	@Test
	public static void addUTF() throws Exception {
		//Documents ->   -> Import Document -> ,    Browse
		// Browse ->     UTF-8
		//,    Encoding   utf-8 -> OK
		//,   Documents      xhtml.
	}
	
	@Test
	public static void addWindows() throws Exception {
		//Documents ->   -> Import Document -> ,    Browse
		// Browse ->     Windows1251
		//,    Encoding   Windows1251 -> OK
		//,   Documents      xhtml.
	}
	
	public static void removeDoc() throws Exception {
		//   ->   -> Remove Document
		//,      
		// OK-> ,   Documents bcxtp  .
	}
	
	@Test
	public static void addExistedDoc() throws Exception {
		//Documents ->   -> Import Document
		// Browse ->   -> OK
		//,   Documents      xhtml.
		//Documents ->   -> Import Document
		// Browse ->     -> OK
		//,     ,     
		// .
		//,     .
	}
	
	@Test
	public static void updateDocCase1() throws Exception {
		// 2   ,        ..
		//     .
		// Requality Explorer    ->   -> Update Document
		//,   Document Selection     .
		//,   OK .
		//  Document Selection   . 
		//,   OK  -> OK
		//,        ,    1.
		//,          .
		// Show identifiers     ,   .

	}
	
	@Test
	public static void updateDocCase2() throws Exception {
		// 2   ,        ..
		//     .
		//      ,      .
		// Requality Explorer    ->   -> Update Document
		//  Document Selection   . -> OK
		//,           ,    .
		//,      .
		//,          .
		// Show identifiers     ,   .

	}
	
	@Test
	public static void updateDocCase3() throws Exception {
		// 2   .
		//     .
		// Requality Explorer    ->   -> Update Document
		//  Document Selection   . -> OK
		//,     ,     . -> OK
		//,     Document Selection.

	}
	
	@After
	public static void sleep() throws Exception {
		
	}
}
