package com.unitesk.requality.eclipse;

import com.unitesk.requality.core.TreeNode;

public class NodeTypeDescriptor {
    private String name;
    private Class<? extends TreeNode> clazz;
    private String icon;
    private String editorId;
    private String pluginId;
    public NodeTypeDescriptor(String name, Class<? extends TreeNode> clazz, String icon, String editorId, String pluginId) {
        this.name = name;
        this.clazz = clazz;
        this.icon = icon;
        this.editorId=editorId;
        this.pluginId=pluginId;
    }

    public String getName() {
        return name;
    }

    public Class<? extends TreeNode> getClazz() {
        return clazz;
    }
    
    public String getIcon() {
        return icon;
    }

    public String getEditorId() {
        return editorId;
    }

    public String getPluginId() {
        return pluginId;
    }
}
