package swtbotforrequality;

import static org.junit.Assert.*;

import org.eclipse.swtbot.eclipse.finder.SWTWorkbenchBot;
import org.eclipse.swtbot.swt.finder.widgets.*;
import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;


public class DeleteRequirement {
	private static SWTWorkbenchBot	bot;
	private static SWTBotTree tree;
	 
	@BeforeClass
	public static void beforeClass() throws Exception {
		bot = new SWTWorkbenchBot();
		//---
//		bot.viewByTitle("Welcome").close();
//		bot.menu("File").menu("New").menu("Other...").click();
//		 
//		SWTBotShell shell = bot.shell("New");
//		shell.activate();
//		bot.tree().expandNode("Requality").select("Requality Project");
//		bot.button("Next >").click();
//		bot.textWithLabel("Project name:").setText("ReqProject");
//		bot.button("Finish").click();
//		bot.activeView();
//		SWTBotTree tree = bot.viewByTitle("Requality Explorer").bot().tree();
//		SWTBotTreeItem t1 = tree.expandNode("ReqProject");
//		SWTBotTreeItem treeItem = t1.select("Requirements");
//		ContextMenuHelper.clickContextMenu(tree, "Add Requirement...");
		//---
		}
 
 
	@Test
	public void canDeleteRequirement() throws Exception {
		SWTBotTree tree = bot.viewByTitle("Requality Explorer").bot().tree();
		SWTBotTreeItem t1 = tree.expandNode("ReqProject");
		SWTBotTreeItem treeItem = t1.expandNode("Requirements").select("01");
		ContextMenuHelper.clickContextMenu(tree, "Remove requirement");
		bot.shell("Delete requirement").bot().button("OK").click();
		assertFalse("Requirement 01 is not removed", tree.expandNode("ReqProject").expandNode("Requirements").getNodes().contains("01"));
	}
 
 
	@AfterClass
	public static void sleep() {
		bot.sleep(2000);
	}
}
